Bug 1944537

Summary: [gnome-shell] focus changes to other application while paging ibus candidate window with mouse for libpinyin, anthy
Product: [Fedora] Fedora Reporter: Bhushan Barve <bbarve>
Component: mutterAssignee: GNOME SIG Unassigned <gnome-sig>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 39CC: bbarve, fmuellner, gnome-sig, jadahl, mfabian, otaylor, petersen, philip.wyett, pwu, walters
Target Milestone: ---Keywords: i18n, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-13 15:20:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
pinyin focus shift none

Description Bhushan Barve 2021-03-30 06:47:36 UTC
Description of problem: When user tries to change the pagination in the pinyin candidate window by clicking on '>' button, the window focus gets shifted to other application. Please check attached screencast.


Version-Release number of selected component (if applicable):
ibus-libpinyin-1.12.0-2.fc34.x86_64
F34 WS (March 29)

How reproducible:
always

Steps to Reproduce:
1. Login to F34 WS
2. Select Intelligent Pinyin as input method from settings
3. Open gedit
4. Type some input (e.g. hg)
5. On candidate window, click on '>' button repetitively to go to next set of candidates.

Actual results:
After clicking on '>' button, focus shifts to other application

Expected results:
The focus should remain on the same application.

Additional info:

Comment 1 Bhushan Barve 2021-03-31 10:50:29 UTC
Created attachment 1768034 [details]
pinyin focus shift

Comment 2 Bhushan Barve 2021-03-31 11:11:00 UTC
Was able to reproduce this issue with ibus-anthy too. So looks more like a gnome-shell issue.
Updating the summary and component accordingly.

Comment 3 Peng Wu 2021-03-31 11:59:43 UTC
I tried with ibus-libpinyin, it seems this bug happens with several clicks
in the middle of the "<" and ">" button from ibus candidate panel.

Comment 4 Jens Petersen 2021-04-08 07:37:57 UTC
I can reproduce with ibus-libpinyin using Fedora-Workstation-Live-x86_64-34-20210405.n.0.

Comment 5 Jonas Ådahl 2021-04-08 10:32:07 UTC
Does it still happen? I can't reproduce the issue as described in https://bugzilla.redhat.com/show_bug.cgi?id=1944537#c3

Tried with New Zhuyin and Intelligent Pinyin.

Comment 6 Peng Wu 2021-04-13 07:09:32 UTC
Sorry for late reply.

Yes, it still happens now.

Let me describe the detailed steps to reproduce this bug.

Steps to Reproduce:
1. Launch gnome-terminal and gedit from gnome-shell
2. Move gedit window above the gnome-terminal window and focus in gedit
3. Switch to use "Intelligent Pinyin"
4. Press "nihao" and click the page down button of candidates panel
5. Move the cursor near the middle of page up button and page down button
6. Click the mouse button very quickly for 3-10 times

Actual results:
The gnome-terminal appears above gedit, and get the focus.

Expected results:
The focus should remain on gedit with candidates panel shown.

This bug happens both in Xorg and Wayland.

Comment 7 Ben Cotton 2022-05-12 15:15:21 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 8 Jens Petersen 2022-06-06 13:36:51 UTC
I think in F35+ the candidate windows tends to just disappear on mouse click...
(mouse click reset regression).

Comment 9 Jens Petersen 2022-06-06 13:42:10 UTC
Actually I don't think I can reproduce in F35 Gnome Xorg with gedit?

Comment 10 Jens Petersen 2022-06-06 13:44:17 UTC
Oops I reproduced in F35 Xorg

Comment 11 Peng Wu 2022-06-07 03:52:31 UTC
I think in Fedora 36, there is another bug, which makes the candidate panel
disappear with one or two mouse click.

URL: https://gitlab.gnome.org/GNOME/mutter/-/issues/2244

In Fedora 35, I can reproduce this issue with Xorg.

Comment 12 Jens Petersen 2022-11-28 06:34:46 UTC
Is it possible to test https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/2497 ?

Comment 13 Ben Cotton 2022-11-29 16:54:44 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 14 Ben Cotton 2022-12-13 15:20:36 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Mike FABIAN 2023-09-06 07:11:41 UTC
The candidate list still disappears when clicking at least twice on the paging buttons in Gnome in F39.